# Glib::Interface Class Reference

`#include <glibmm/interface.h>`

Inheritance diagram for Glib::Interface:
[legend]

List of all members.

## Public Member Functions

| Interface (const Glib::Interface_Class& interface_class)
| Called by constructors of derived classes.
| Interface (GObject* castitem)
| Called by constructors of derived classes.
virtual | ~Interface ()
GObject* | gobj ()
| Provides access to the underlying C GObject.
const GObject* | gobj () const
| Provides access to the underlying C GObject.

## Constructor & Destructor Documentation

Glib::Interface::Interface | ( | const Glib::Interface_Class & | interface_class | ) | `[explicit]`

Called by constructors of derived classes.

Provide the result of the Class object's init() function to ensure that it is properly initialized.

Parameters:

  | interface_class | The Class object for the derived type.

Glib::Interface::Interface | ( | GObject * | castitem | ) | `[explicit]`

Called by constructors of derived classes.

Parameters:

  | cast_item | A C instance that will be wrapped by the new C++ instance. This does not take a reference, so call reference() if necessary.

virtual Glib::Interface::~Interface | ( |  | ) | `[virtual]`

## Member Function Documentation

const GObject* Glib::Interface::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

Reimplemented in Gio::AppInfo, Gio::AsyncResult, Gio::Drive, Gio::Emblem, Gio::EmblemedIcon, Gio::File, Gio::FileIcon, Gio::FileInputStream, Gio::FileIOStream, Gio::FileOutputStream, Gio::Icon, Gio::InetSocketAddress, Gio::Initable, Gio::LoadableIcon, Gio::MemoryInputStream, Gio::MemoryOutputStream, Gio::Mount, Gio::NetworkAddress, Gio::NetworkService, Gio::Seekable, Gio::Socket, Gio::SocketAddress, Gio::SocketConnectable, Gio::ThemedIcon, Gio::Volume, and Gio::DesktopAppInfo.

GObject* Glib::Interface::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

Reimplemented in Gio::AppInfo, Gio::AsyncResult, Gio::Drive, Gio::Emblem, Gio::EmblemedIcon, Gio::File, Gio::FileIcon, Gio::FileInputStream, Gio::FileIOStream, Gio::FileOutputStream, Gio::Icon, Gio::InetSocketAddress, Gio::Initable, Gio::LoadableIcon, Gio::MemoryInputStream, Gio::MemoryOutputStream, Gio::Mount, Gio::NetworkAddress, Gio::NetworkService, Gio::Seekable, Gio::Socket, Gio::SocketAddress, Gio::SocketConnectable, Gio::ThemedIcon, Gio::Volume, and Gio::DesktopAppInfo.